Execute perplexity evaluator
curl --request POST \
--url https://api.traceloop.com/v2/evaluators/perplexity/execute \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"logprobs": "[-2.3, -1.5, -0.8, -1.2, -0.5]"
}
}
'import requests
url = "https://api.traceloop.com/v2/evaluators/perplexity/execute"
payload = { "input": { "logprobs": "[-2.3, -1.5, -0.8, -1.2, -0.5]" } }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: {logprobs: '[-2.3, -1.5, -0.8, -1.2, -0.5]'}})
};
fetch('https://api.traceloop.com/v2/evaluators/perplexity/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"perplexity_score": 12.5
}{
"error": "error message"
}{
"error": "error message"
}Evaluators
Execute perplexity evaluator
Measure text perplexity from logprobs
Request Body:
input.logprobs(string, required): JSON array of log probabilities from the model
POST
/
v2
/
evaluators
/
perplexity
/
execute
Execute perplexity evaluator
Was this page helpful?
⌘I

